﻿#main_nav_bar {
    position: fixed;
    top: 0;
    left: 0;
    height: 100vh;
    width: 100vw;
    padding: 20px;
    box-shadow: 0px 8px 16px 0px rgba(0,0,0,.2);
    z-index: 7;
    transform: translateX(-105%);
    transition: transform 250ms;
    background-color: #24572d;
    font-size: .875rem;
    line-height: calc(4px + 2ex);
    overflow: auto;
    color: #fff;
}

@media only screen and (min-width: 1200px) {
    #main_nav_bar {
        max-width: 500px;
    }
}

#main_nav_bar.active {
    transform: translateX(0%);
}

#main_nav_bar #main_menu {
    position: relative;
    z-index: 1;
    transform: translateX(-100%);
    transition: transform 250ms;
}

    #main_nav_bar #main_menu.active {
        transform: translateX(0%);
    }

#main_nav_bar .nav_button {
    padding: 0;
    margin: .8rem;
    border: 0;
    background: rgba(0,0,0,0);
}



@media only screen and (min-width: 36em) {
    #main_nav_bar .columns {
        display: flex;
        gap: 20px;
    }

        #main_nav_bar .columns > div, #main_nav_bar .columns > nav {
            width: 50%;
        }
}

@media only screen and (min-width: 1200px) {
    #main_nav_bar .columns {
        flex-wrap: wrap;
    }

        #main_nav_bar .columns > div, #main_nav_bar .columns > nav {
            width: 100%;
        }
}

#main_nav_bar .columns > div > *, #main_nav_bar .columns > nav > * {
    padding-bottom: 20px;
    margin-bottom: 20px;
    border-bottom: 1px solid #617a41;
}

#main_nav_bar ul.basic_nav_in_menu {
    list-style-type: none;
    padding-left: 0;
    text-indent: 0;
    text-transform: uppercase;
}

#main_nav_bar .basic_nav_in_menu .sub_menu_toggler {
    display: flex;
    justify-content: space-between;
    align-items: baseline;
}

#main_nav_bar #main_menu .sub_menu_toggler {
    display: flex;
    justify-content: space-between;
    align-items: baseline;
}

#main_nav_bar ul.basic_nav_in_menu a, #main_nav_bar ul.basic_nav_in_menu button {
    display: block;
    padding: 1rem;
    text-decoration: none;
    color: inherit;
    border: 0;
    margin: 0;
    background-color: rgba(0,0,0,0);
    width: 100%;
    text-align: left;
    font-weight: bold;
}


#main_nav_bar .sub_menu {
    position: absolute;
    z-index: 2;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    padding: 20px;
    background-color: #24572d;
    transform: translateX(-100%);
    transition: transform 250ms;
}

    #main_nav_bar .sub_menu.active {
        transform: translateX(0%);
    }

#main_nav_bar .basic_nav_in_menu .sub_menu_toggler .icon {
    font-size: 1.6em;
}

#main_nav_bar #main_menu .sub_menu_toggler .icon {
    font-size: 1.6em;
}

@media only screen and (min-width: 1200px) {
    #whole_header_wrapper .d-block-mobile {
        display: none;
    }
}

#main_nav_bar .sub_menu .title {
    font-size: 1.1667rem;
    text-transform: uppercase;
}

    #main_nav_bar .sub_menu .title a {
        display: block;
        color: inherit;
        text-decoration: none;
        padding: 1rem;
        margin-bottom: 1rem;
        border-bottom: 1px solid #fff;
    }